BatchLatestConclusions
curl --request GET \
--url https://developer.synq.io/api/triage/v1/conclusions \
--header 'Authorization: Bearer <token>'import requests
url = "https://developer.synq.io/api/triage/v1/conclusions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://developer.synq.io/api/triage/v1/conclusions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conclusions": [
{
"conclusion": {
"issueIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"title": "<string>",
"addToIncident": {
"incidentId": "<string>"
},
"conclusionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"summary": "<string>",
"concludedAt": "2023-11-07T05:31:56Z",
"isFinalConclusion": true
},
"originalIssueIds": [
"<string>"
],
"evidence": [
{
"issueIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"title": "<string>",
"analysis": {
"analysis": "<string>",
"sqlQueries": [
"<string>"
]
},
"evidenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"userFeedback": {
"accept": {},
"user": "<string>",
"feedbackAt": "2023-11-07T05:31:56Z"
}
}
]
}synq.agent.sre.v1.TriageService
BatchLatestConclusions
Retrieves the latest triage state for one or more issues. This method is used by the LLM agent to retrieve the current state of the issues it is working on.
GET
/
api
/
triage
/
v1
/
conclusions
BatchLatestConclusions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
List of issue IDs for which latest conclusion should be returned.
Response
200 - application/json
Success
Show child attributes
Show child attributes
⌘I